Bug 134539 - mtr should reside in /usr/bin, not /usr/sbin
mtr should reside in /usr/bin, not /usr/sbin
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mtr (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-04 11:01 EDT by Daniel Roesen
Modified: 2015-03-04 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 12:02:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Roesen 2004-10-04 11:01:21 EDT
Summary says it all... for the very same reasons why ping and
traceroute do now reside in bin instead of sbin. Normal users do
use those tools regularily. mtr isn't used in scripts normally,
so there should be no backward compat gripes. It's tiresome to
always have to set a link /usr/local/bin -> /usr/sbin.
Comment 1 Phil Knirsch 2004-10-06 12:02:43 EDT
Not really sure about this one... It's not that hard to add a few
symlinks from /usr/bin to /usr/sbin, but i'm not sure we really want this.

It probably doesn't hurt, but for backwards compat the /usr/sbin stuff
needs to still hang around.

OK, what the heck, symlinks from /usr/sbin to /usr/bin are going in. ;-)

Read ya, Phil
Comment 2 Daniel Roesen 2004-10-06 12:38:01 EDT
Actually, I should have set a bug dependency. If you don't agree
to chmod u+s mtr, then it DOES belong into sbin, as only root can
execute it anyway, unfortunately.

Regards,
Daniel

Note You need to log in before you can comment on or make changes to this bug.